Request
curl https://sandbox.api.lendeasy.ai /v1/loanproducts \
-H "Authorization: Bearer $TOKEN" await fetch(`https://sandbox.api.lendeasy.ai /v1/loanproducts` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/loanproducts" ,
headers={"Authorization" : f"Bearer {token}" },
)200 400 401 403 404
[
{
"id": 3 ,
"name": "Harbor 18-month personal loan",
"shortName": "HBR18",
"status": "loanProduct.active",
"currency": {
"code": "USD"
},
"numberOfRepayments": 18 ,
"interestRatePerPeriod": 13.25 ,
"lmsConfig": {
"productClass": "COVERED_CONSUMER",
"aprEnabled": true ,
"aprRounding": "NEAREST_0_01_PERCENT_HALF_UP",
"aprTolerancePolicy": "REGULAR",
"statementEnabled": true ,
"statementLeadDays": 10
},
"configurationStatus": "CONFIGURED"
}
]{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}